<?php
/**
 * Created by PhpStorm.
 * User: Skalden
 * Date: 7/21/2018
 * Time: 12:43 PM
 */

namespace App\Models;


use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class Address extends Model
{
    protected $table = 'address_info';
    public $timestamps = false;
    protected $fillable = [
        'user_id', 'scan_id', 'firstname', 'secondname', 'fathername', 'phone', 'country',
        'city', 'street', 'house', 'apartment', 'zip', 'is_default', 'created', 'zip', 'passport', 'passport_by', 'passport_issue', 'type', 'r_limit'
    ];


    protected $casts = [
        'created' => 'datetime',
    ];
    static public $country = [
        'uzb' => 'Узбекистан'
    ];

    static public $oblast = [
        0 => 'Ташкентская',
        1 => 'Андижанская',
        2 => 'Бухарская',
        3 => 'Джизакская',
        4 => 'Каракалпакия',
        5 => 'Кашкадарьинская',
        6 => 'Навоийская',
        7 => 'Наманганская',
        8 => 'Самаркандская',
        9 => 'Сурхандарьинская',
        10 => 'Сырдарьинская',
        11 => 'Ферганская',
        12 => 'Хорезмская',
    ];

    public function image()
    {
        return $this->hasOne('App\Models\Images', 'id', 'scan_id');
    }

    public function user()
    {
        return $this->belongsTo('App\User', 'user_id', 'id');
    }

    public function getFormatedPassport()
    {
        return $this->passport . ' ' . $this->passport_by . ' ' . $this->passport_issue;
    }

    public function getFormated()
    {
        return $this->street . ', ' . $this->house . ', ' . $this->apartment . ', ' . DB::raw('select title_ru from city where id=' . $this->city) . ', ' . DB::raw('select title_ru from country where id=' . $this->country);
    }

    public function getFIO()
    {
        return $this->firstname . ' ' . $this->secondname . ' ' . $this->fathername;
    }

}
